Bug 1000323 - Subpackage evolution-devel is no longer multilib-clean for all multilib arches
Subpackage evolution-devel is no longer multilib-clean for all multilib arches
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: evolution (Show other bugs)
6.5
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Matthew Barnes
Desktop QE
: TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-23 03:53 EDT by Tomas Pelka
Modified: 2013-11-20 23:55 EST (History)
2 users (show)

See Also:
Fixed In Version: evolution-2.32.3-23.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1000325 (view as bug list)
Environment:
Last Closed: 2013-11-20 23:55:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Pelka 2013-08-23 03:53:44 EDT
Description of problem:
7 files now have non-equal 32/64bit content where all matched before:

  /usr/share/gtk-doc/html/eshell/ix01.html
  /usr/share/gtk-doc/html/eshell/ch05.html
  /usr/share/gtk-doc/html/eshell/ch04.html
  /usr/share/gtk-doc/html/eshell/ch03.html
  /usr/share/gtk-doc/html/eshell/ch02.html
  /usr/share/gtk-doc/html/eshell/ch01.html
  /usr/share/gtk-doc/html/eshell/EShellView.html

Also for s390 vs s390x
Multilib difference for usr/share/applications/evolution-settings.desktop on s390x vs s390:

--- /usr/share/applications/evolution-settings.desktop on s390x	2013-07-24 06:59:38.394323987 -0400
+++ /usr/share/applications/evolution-settings.desktop on s390	2013-07-24 06:58:41.220369995 -0400
@@ -1,87 +1,6 @@
 [Desktop Entry]
 Name=Email Settings
-Name[bg]=Настройки на е-поща
-Name[bn]=ইমেইল সেটিংসমূহ
-Name[ca]=Paràmetres del correu electrònic
-Name[ca@valencia]=Paràmetres del correu electrònic
-Name[cs]=Nastavení pošty
-Name[da]=Indstillinger for e-post
-Name[de]=E-Mail-Einstellungen
-Name[el]=Ρυθμίσεις αλληλογραφίας
-Name[en@shaw]=

details at https://errata.devel.redhat.com/rpmdiff/show/76940?result_id=1614914

Version-Release number of selected component (if applicable):
evolution-2.32.3-21.el6

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.

Actual results:
Not sure if this is an gtk-doc issue or one can force gtk-doc to generate exactly the same doc

Expected results:
doc files must be the same

Additional info:
it might be workarounded by adding noarch subpackage with doc
Comment 2 Milan Crha 2013-08-23 05:59:25 EDT
OK, I'll split docs to evolution-devel-docs and drop the evolution-settings, it's not that useful and it's dropped in current upstream version as well.
Comment 9 errata-xmlrpc 2013-11-20 23:55:30 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1540.html

Note You need to log in before you can comment on or make changes to this bug.